/*
 * keyword_.h,v 1.1.1.1 1996/03/03 17:39:51 arsharma Exp
 *
 * 1.1.1.1
 *
 * arsharma
 *
 * Also include:
 *
 */

#ifndef _KEYWORD_T_H
#define _KEYWORD_T_H

#include "doctab.h"

static struct keyword_table
{
  char *keyword_name;
  int  keyword_representation;
}
keyword_table[] =
{
	"abs",ABS,
	"addr",ADDR,
	"ah",AH,
	"al",AL,
	"align",ALIGN,
	"assume",ASSUME,
	"at",AT,
	"ax",AX,
	"basic",BASIC,
	"bcdconst",BCDCONST,
	"bh",BH,
	"bl",BL,
	"bp",BP,
	"bx",BX,
	"byte",BYTE,
	"c",C,
	"cb",CB,
	"ch",CH,
	"cl",CL,
	"comm",COMM,
	"common",COMMON,
	"cr0",CR0,
	"cr2",CR2,
	"cr3",CR3,
	"cs",CS,
	"cx",CX,
	"db",DB,
	"dd",DD,
	"df",DF,
	"dgroup",DGROUP,
	"dh",DH,
	"di",DI,
	"direct",DIRECT,
	"dl",DL,
	"dosseg",DOSSEG,
	"dq",DO,
	"dr0",DR0,
	"dr1",DR1,
	"dr2",DR2,
	"dr3",DR3,
	"dr6",DR6,
	"dr7",DR7,
	"ds",DS,
	"dt",DT,
	"dup",DUP,
	"dw",DW,
	"dword",DWORD,
	"dx",DX,
	"eax",EAX,
	"ebp",EBP,
	"ebx",EBX,
	"ecx",ECX,
	"edi",EDI,
	"edx",EDX,
	"else",ELSE,
	"elseif",ELSEIF,
	"elseif1",ELSEIF1,
	"elseif2",ELSEIF2,
	"elseifb",ELSEIFB,
	"elseifdef",ELSEIFDEF,
	"elseifdif",ELSEIFDIF,
	"elseifdifi",ELSEIFDIFI,
	"elseife",ELSEIFE,
	"elseifidni",ELSEIFIDNI,
	"elseifnb",ELSEIFNB,
	"elseifndef",ELSEIFNDEF,
	"end",END,
	"endif",ENDIF,
	"endp",ENDP,
	"ends",ENDS,
	"equ",EQU,
	"equals",EQUALS,
	"error",ERROR,
	"es",ES,
	"esi",ESI,
	"esp",ESP,
	"even",EVEN,
	"export",EXPORT,
	"extern",EXTERN,
	"externdef",EXTERNDEF,
	"extrn",EXTRN,
	"far",FAR,
	"far16",FAR16,
	"far32",FAR32,
	"flat",FLAT,
	"floatnumber",FLOATNUMBER,
	"fortran",FORTRAN,
	"fs",FS,
	"fword",FWORD,
	"ge",GE,
	"group",GROUP,
	"gs",GS,
	"gt",GT,
	"high",HIGH,
	"highword",HIGHWORD,
	"if",IF,
	"if1",IF1,
	"if2",IF2,
	"ifb",IFB,
	"ifdef",IFDEF,
	"ifdif",IFDIF,
	"ifdifi",IFDIFI,
	"ife",IFE,
	"ifidni",IFIDNI,
	"ifnb",IFNB,
	"ifndef",IFNDEF,
	"include",INCLUDE,
	"includelib",INCLUDELIB,
	"invoke",INVOKE,
	"label",LABEL,
	"length",LENGTH,
	"lengthof",LENGTHOF,
	"local",LOCAL,
	"lock",LOCK,
	"low",LOW,
	"lowword",LOWWORD,
	"lroffset",LROFFSET,
	"mask",MASK,
	"memory",MEMORY,
	"mod",MOD,
	"name",NAME,
	"near",NEAR,
	"near16",NEAR16,
	"near32",NEAR32,
	"nothing",NOTHING,
	"offset",OFFSET,
	"opattr",OPATTR,
	"option",OPTION,
	"org",ORG,
	"page",PAGE,
	"para",PARA,
	"pascal",PASCAL,
	"private",PRIVATE,
	"proc",PROC,
	"proto",PROTO,
	"ptr",PTR,
	"public",PUBLIC,
	"purge",PURGE,
	"qword",QWORD,
	"readonly",READONLY,
	"real10",REAL10,
	"real4",REAL4,
	"real8",REAL8,
	"rep",REP,
	"repe",REPE,
	"repne",REPNE,
	"repnz",REPNZ,
	"repz",REPZ,
	"sbyte",SBYTE,
	"sdword",SDWORD,
	"seg",SEG,
	"segment",SEGMENT,
	"short",SHORT,
	"si",SI,
	"size",SIZE,
	"sizeof",SIZEOF,
	"sp",SP,
	"ss",SS,
	"st",ST,
	"stack",STACK,
	"stdcall",STDCALL,
	"sword",SWORD,
	"syscall",SYSCALL,
	"tbyte",TBYTE,
	"this",THIS,
	"tr3",TR3,
	"tr4",TR4,
	"tr5",TR5,
	"tr6",TR6,
	"tr7",TR7,
	"type",TYPE,
	"use16",USE16,
	"use32",USE32,
	"uses",USES,
	"vararg",VARARG,
	"width",WIDTH,
	"word",WORD,
};

#endif /* _KEYWORD_T_H */

