# Purpose:	To generate tables of mnemonics from a text file
# Usage:	update_mnemonics text_file_name
#		mnemonics.tmp1 goes into mnemonics_def.h
#		mnemonics.tmp2 goes into lex.h

BEGIN {
  print "#ifndef _MNEMONCS_DEF_H \n#define _MNEMONICS_DEF_H\n" \
    > "mnemonics_def.h";
}

{
  printf "#define %s %d\n",toupper($1),(n++)+1 > "mnemonics_def.h";
  printf "\t\"%s\",%s,%s,%s,%s,\n",$1,toupper($1),$2,$3,$4 > \
    "mnemonic_table.h" ;
}

END {
 print "\n #endif /* _MNEMONICS_DEF_H */\n" > "mnemonics_def.h";
}
