typedef unsigned int bitvector_t;

/* define bit manipulation macros */
#define SETVALID(BVECTOR, PID)	  ((BVECTOR) |= (1 << (PID)))
#define SETEXCL(BVECTOR, PID)	  ((BVECTOR) = (1 << (PID)))
#define CLRVALID(BVECTOR, PID)	  ((BVECTOR) &= ~(1 << (PID)))
#define CLRALLBITS(BVECTOR)	  (BVECTOR = 0)
#define CLROTHERS(BVECTOR, PID)	  (BVECTOR &= (1 << (PID)))
#define ISVALID(BVECTOR, PID)	  ((BVECTOR) & (1 << (PID)))
#define ISEXCL(BVECTOR, PID)	  ((BVECTOR) == (1 << (PID)))
#define ISOTHER(BVECTOR, PID)	  ((BVECTOR) & ~(1 << (PID)))
#define ISANY(BVECTOR)		  (BVECTOR)
#define SETOR(DEST, SRC)	  (DEST |= SRC)
#define SETAND(DEST, SRC)	  (DEST &= SRC)
#define SETOR2(DEST, SRC1, SRC2)  (DEST = (SRC1) | (SRC2))
#define SETAND2(DEST, SRC1, SRC2) (DEST = (SRC1) & (SRC2))
#define SETEQUAL(DEST, SRC)	  (DEST = SRC)
#define SETNOT(DEST, SRC)	  (DEST = ~(SRC))
#define NUM_1BITS(BVECTOR)	  (count_1bits(BVECTOR))
#define BITPOS(BVECTOR)		  (bitpos(BVECTOR))
#define LEAST1(BVECTOR)		  (least1(BVECTOR))
#define MOST1(BVECTOR)		  (most1(BVECTOR))
