#include "mint.h"
/* allow the value to be defined on the compile command line */
int Max_ckpoint = 200;
void
sim_checkpoint(task_ptr ptask)
{
    static int Nmessages = 0;
    /* avoid filling up the disk with useless messages */
    if (Nmessages < Max_ckpoint) {
        Nmessages++;
        fprintf(stderr, "simulated time: %.0f\n", (double) ptask->time);
    } else if (Nmessages == Max_ckpoint) {
        Nmessages++;
        warning("sim_checkpoint: max messages (%d) exceeded.\n",
                Max_ckpoint);
    }
}
