#ifndef _DOCTOR_T_H
#define _DOCTOR_T_H

/* doctor_t.h,v 1.1.1.1 1996/03/03 17:39:51 arsharma Exp */

/* the size of the output buffer */
#define OPB_SIZE 600000

/* the maximum number of instructions within a basic block */
#define MAX_BB_INSTR 100

enum addr_modes {
    UNKNOWN = 0, REG, IMMEDIATE, DIRECT, INDIRECT, STACKREG, STACKREF
};

enum boolean_val {
    FALSE = 0, TRUE = 1
};

typedef enum boolean_val bool_t;

#define LAST(v) (v-1+ sizeof v / sizeof v[0])
#define MAX_ID_LENGTH 100

#define YYFIRST 258

/* I don't like using a bang for not */
#define not(x) (!(x))

/* Use good style */
#define STREQ(s1,s2) (!(strcmp(s1,s2)))

/* Returns true if s2 is a substring of s1 */
#define SUBSTR(s1,s2) ((strstr(s1,s2))? 1 : 0)

/* function prototypes */
void usage ();
int parse_cmd_line (int, char **);

#endif /* _DOCTOR_T_H */
