#ifndef _MNEMONCS_DEF_H
#define _MNEMONICS_DEF_H

#define AAA 1
#define AAD 2
#define AAM 3
#define AAS 4
#define ADC 5
#define ADD 6
#define AND 7
#define ARPL 8
#define BOUND 9
#define BSF 10
#define BSR 11
#define BSWAP 12
#define BT 13
#define BTC 14
#define BTR 15
#define BTS 16
#define CALL 17
#define CBW 18
#define CDQ 19
#define CLC 20
#define CLD 21
#define CLI 22
#define CLTS 23
#define CMC 24
#define CMP 25
#define CMPS 26
#define CMPSB 27
#define CMPSD 28
#define CMPSW 29
#define CMPXCHG 30
#define CWD 31
#define DAA 32
#define DAS 33
#define DEC 34
#define DIV 35
#define ENTER 36
#define F2XM1 37
#define FABS 38
#define FADD 39
#define FADDP 40
#define FBLD 41
#define FBSTP 42
#define FCHS 43
#define FCLEX 44
#define FCOM 45
#define FCOMP 46
#define FCOMPP 47
#define FCOS 48
#define FDECSTP 49
#define FDISI 50
#define FDIV 51
#define FDIVP 52
#define FDIVR 53
#define FDIVRP 54
#define FENI 55
#define FFREE 56
#define FIADD 57
#define FICOM 58
#define FICOMP 59
#define FIDIV 60
#define FIDIVR 61
#define FILD 62
#define FIMUL 63
#define FINCSTP 64
#define FINIT 65
#define FIST 66
#define FISTP 67
#define FISUB 68
#define FISUBR 69
#define FLD 70
#define FLD1 71
#define FLDCW 72
#define FLDENV 73
#define FLDENVD 74
#define FLDENVW 75
#define FLDL2E 76
#define FLDL2T 77
#define FLDLG2 78
#define FLDLN2 79
#define FLDPI 80
#define FLDZ 81
#define FMUL 82
#define FMULP 83
#define FNCLEX 84
#define FNINIT 85
#define FNOP 86
#define FNSAVE 87
#define FNSAVEW 88
#define FNSAVED 89
#define FNSTCW 90
#define FNSTENV 91
#define FNSTENVW 92
#define FNSTENVD 93
#define FNSTSW 94
#define FPATAN 95
#define FPREM 96
#define FPREM1 97
#define FPTAN 98
#define FRNDINT 99
#define FRSTOR 100
#define FRSTORW 101
#define FRSTORD 102
#define FSAVE 103
#define FSAVEW 104
#define FSAVED 105
#define FSCALE 106
#define FSETPM 107
#define FSIN 108
#define FSINCOS 109
#define FSQRT 110
#define FST 111
#define FSTCW 112
#define FSTENV 113
#define FSTENVD 114
#define FSTENVW 115
#define FSTP 116
#define FSTSW 117
#define FSUB 118
#define FSUBP 119
#define FSUBR 120
#define FSUBRP 121
#define FTST 122
#define FUCOM 123
#define FUCOMP 124
#define FUCOMPP 125
#define FWAIT 126
#define FXAM 127
#define FXCH 128
#define FXTRACT 129
#define FYL2X 130
#define FYL2XP1 131
#define HLT 132
#define IDIV 133
#define IMUL 134
#define IN 135
#define INC 136
#define INS 137
#define INSB 138
#define INSD 139
#define INSW 140
#define INT 141
#define INT3 142
#define INTO 143
#define INVD 144
#define INVLPG 145
#define IRET 146
#define IRETD 147
#define IRETDF 148
#define IRETF 149
#define JA 150
#define JAE 151
#define JB 152
#define JBE 153
#define JC 154
#define JCXZ 155
#define JE 156
#define JECXZ 157
#define JG 158
#define JGE 159
#define JL 160
#define JLE 161
#define JMP 162
#define JNA 163
#define JNAE 164
#define JNB 165
#define JNBE 166
#define JNC 167
#define JNE 168
#define JNG 169
#define JNGE 170
#define JNL 171
#define JNLE 172
#define JNO 173
#define JNP 174
#define JNS 175
#define JNZ 176
#define JO 177
#define JP 178
#define JPE 179
#define JPO 180
#define JS 181
#define JZ 182
#define LAHF 183
#define LAR 184
#define LDS 185
#define LEA 186
#define LEAVE 187
#define LES 188
#define LFS 189
#define LGDT 190
#define LGS 191
#define LIDT 192
#define LLDT 193
#define LMSW 194
#define LODS 195
#define LODSB 196
#define LODSD 197
#define LODSW 198
#define LOOP 199
#define LOOPD 200
#define LOOPE 201
#define LOOPED 202
#define LOOPEW 203
#define LOOPNE 204
#define LOOPNED 205
#define LOOPNEW 206
#define LOOPNZ 207
#define LOOPNZD 208
#define LOOPNZW 209
#define LOOPW 210
#define LOOPZ 211
#define LOOPZD 212
#define LOOPZW 213
#define LSL 214
#define LSS 215
#define LTR 216
#define MOV 217
#define MOVS 218
#define MOVSB 219
#define MOVSD 220
#define MOVSW 221
#define MOVSX 222
#define MOVZX 223
#define MUL 224
#define NEG 225
#define NOP 226
#define NOT 227
#define OR 228
#define OUT 229
#define OUTS 230
#define OUTSB 231
#define OUTSD 232
#define OUTSW 233
#define POP 234
#define POPA 235
#define POPAD 236
#define POPF 237
#define POPFD 238
#define PUSH 239
#define PUSHA 240
#define PUSHAD 241
#define PUSHD 242
#define PUSHF 243
#define PUSHW 244
#define RCL 245
#define RCR 246
#define RET 247
#define RETF 248
#define RETN 249
#define ROL 250
#define ROR 251
#define SAHF 252
#define SAL 253
#define SAR 254
#define SBB 255
#define SCAS 256
#define SCASB 257
#define SCASD 258
#define SCASW 259
#define SETA 260
#define SETAE 261
#define SETB 262
#define SETBE 263
#define SETC 264
#define SETE 265
#define SETG 266
#define SETGE 267
#define SETL 268
#define SETLE 269
#define SETNA 270
#define SETNAE 271
#define SETNB 272
#define SETNBE 273
#define SETNC 274
#define SETNE 275
#define SETNG 276
#define SETNGE 277
#define SETNL 278
#define SETNLE 279
#define SETNO 280
#define SETNP 281
#define SETNS 282
#define SETNZ 283
#define SETO 284
#define SETP 285
#define SETPE 286
#define SETPO 287
#define SETS 288
#define SETZ 289
#define SGDT 290
#define SHL 291
#define SHLD 292
#define SHR 293
#define SHRD 294
#define SIDT 295
#define SLDT 296
#define SMSW 297
#define STC 298
#define STD 299
#define STI 300
#define STOS 301
#define STOSB 302
#define STOSW 303
#define STOSD 304
#define STR 305
#define SUB 306
#define TEST 307
#define VERR 308
#define VERW 309
#define WAIT 310
#define WBINVD 311
#define XADD 312
#define XCHG 313
#define XLAT 314
#define XLATB 315
#define XOR 316

 #endif /* _MNEMONICS_DEF_H */

