#ifndef _SYMTAB_H
#define _SYMTAB_H

/* symtab.h,v 1.1.1.1 1996/03/03 17:39:51 arsharma Exp */

#define MAXLINE	 512
#define BUFSIZE 4096

/* allocate memory for p */
#define NEW(p) ((p) = allocate(sizeof *(p)))

/* allocate memory and set all the elements to zero */
#define NEW0(p) memset(NEW(p), 0, sizeof *(p))

/* A symbol table entry */
struct symbol {
    char *name;
    int type;
};

typedef struct symbol *Symbol;

void initwords ();
unsigned int hash (register unsigned char *s);
Symbol slookup (char *name, int install);
void clearwords ();

#endif /* _SYMTAB_H */
