#ifndef _WRITE_H
#define _WRITE_H

/*
 * write.h,v 1.1.1.1 1996/03/03 17:39:51 arsharma Exp
 * Macros and function prototypes for write.c
 */

/* take care when incrementing pointers to circular buffers */
#define INC_OPB_PTR(i) ( (i) = ((i) + 1) % OPB_SIZE)

#define DEC_OPB_PTR(i) ((((i) - 1) == -1) ? (OPB_SIZE - 1):\
			 ((i) - 1))

/* some files may peek into the output_buffer */
extern char *output_buffer;

/* prototypes */

int put_buf (char c);
int flush (long till_here);
int skip (long till_here);
int alloc_output_buf ();
long save_pos ();
long end_line (long point);
long start_line ();
void augment_done (instr_t *instr);

#endif /* _WRITE_H */
